[arch-commits] Commit in python-openstacksdk/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sat Jun 1 07:27:10 UTC 2019


    Date: Saturday, June 1, 2019 @ 07:27:10
  Author: felixonmars
Revision: 476250

archrelease: copy trunk to community-any

Added:
  python-openstacksdk/repos/community-any/PKGBUILD
    (from rev 476249, python-openstacksdk/trunk/PKGBUILD)
Deleted:
  python-openstacksdk/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  154 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 77 insertions(+), 77 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-06-01 07:26:59 UTC (rev 476249)
+++ PKGBUILD	2019-06-01 07:27:10 UTC (rev 476250)
@@ -1,77 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-
-pkgbase=python-openstacksdk
-pkgname=(python-openstacksdk python2-openstacksdk)
-pkgver=0.27.0
-pkgrel=1
-pkgdesc="An SDK for building applications to work with OpenStack"
-arch=('any')
-url="http://developer.openstack.org/sdks/python/openstacksdk"
-license=('Apache')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-jsonpatch'
-             'python2-jsonpatch' 'python-appdirs' 'python2-appdirs' 'python-keystoneauth1'
-             'python2-keystoneauth1' 'python-os-service-types' 'python2-os-service-types'
-             'python-deprecation' 'python2-deprecation' 'python-requestsexceptions'
-             'python2-requestsexceptions' 'python-yaml' 'python2-yaml' 'python-decorator'
-             'python2-decorator' 'python-jmespath' 'python2-jmespath' 'python2-ipaddress'
-             'python2-futures' 'python-iso8601' 'python2-iso8601' 'python-netifaces'
-             'python2-netifaces' 'python-dogpile.cache' 'python2-dogpile.cache' 'python-munch'
-             'python2-munch')
-checkdepends=('python-stestr' 'python2-stestr' 'python-mock' 'python2-mock' 'python-requests-mock'
-              'python2-requests-mock' 'python-oslotest' 'python2-oslotest' 'python-jsonschema'
-              'python2-jsonschema')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/openstacksdk/archive/$pkgver.tar.gz")
-sha512sums=('a5a31034049ceb391684334168316ebd8f1c7aa81204c15aa196ed3fd8b0efa690baaa585fc800c3b2ffb5ec54908ea5bfc19f5649e58b3f7afe8327872ea5e8')
-
-export PBR_VERSION=$pkgver
-
-prepare() {
-  echo -e "\nglobal-include *.json" >> openstacksdk-$pkgver/MANIFEST.in
-  cp -a openstacksdk-$pkgver{,-py2}
-  sed -i 's/assertItemsEqual/assertCountEqual/' openstacksdk-$pkgver/openstack/tests/unit/*.py openstacksdk-$pkgver/openstack/tests/unit/*/*.py
-}
-
-build() {
-  cd "$srcdir"/openstacksdk-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/openstacksdk-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  # From https://github.com/openstack/openstacksdk/blob/master/tox.ini
-  export OS_LOG_CAPTURE=true OS_STDOUT_CAPTURE=true OS_STDERR_CAPTURE=true
-
-  cd "$srcdir"/openstacksdk-$pkgver
-  stestr run || warning "Tests failed"
-
-  cd "$srcdir"/openstacksdk-$pkgver-py2
-  PYTHON=python2 stestr2 run || warning "Tests failed"
-}
-
-package_python-openstacksdk() {
-  depends=('python-six' 'python-pbr' 'python-jsonpatch' 'python-appdirs' 'python-keystoneauth1'
-           'python-os-service-types' 'python-deprecation' 'python-requestsexceptions'
-           'python-decorator' 'python-jmespath' 'python-iso8601' 'python-netifaces'
-           'python-dogpile.cache' 'python-munch')
-
-  cd "$srcdir"/openstacksdk-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-openstacksdk() {
-  depends=('python2-six' 'python2-pbr' 'python2-jsonpatch' 'python2-appdirs'
-           'python2-keystoneauth1' 'python2-os-service-types' 'python2-deprecation'
-           'python2-requestsexceptions' 'python2-decorator' 'python2-jmespath' 'python2-ipaddress'
-           'python2-futures' 'python2-iso8601' 'python2-netifaces' 'python2-dogpile.cache'
-           'python2-munch')
-
-  cd "$srcdir"/openstacksdk-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-
-  mv "$pkgdir"/usr/bin/openstack-inventory{,2}
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-openstacksdk/repos/community-any/PKGBUILD (from rev 476249, python-openstacksdk/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-06-01 07:27:10 UTC (rev 476250)
@@ -0,0 +1,77 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgbase=python-openstacksdk
+pkgname=(python-openstacksdk python2-openstacksdk)
+pkgver=0.28.0
+pkgrel=1
+pkgdesc="An SDK for building applications to work with OpenStack"
+arch=('any')
+url="http://developer.openstack.org/sdks/python/openstacksdk"
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-jsonpatch'
+             'python2-jsonpatch' 'python-appdirs' 'python2-appdirs' 'python-keystoneauth1'
+             'python2-keystoneauth1' 'python-os-service-types' 'python2-os-service-types'
+             'python-deprecation' 'python2-deprecation' 'python-requestsexceptions'
+             'python2-requestsexceptions' 'python-yaml' 'python2-yaml' 'python-decorator'
+             'python2-decorator' 'python-jmespath' 'python2-jmespath' 'python2-ipaddress'
+             'python2-futures' 'python-iso8601' 'python2-iso8601' 'python-netifaces'
+             'python2-netifaces' 'python-dogpile.cache' 'python2-dogpile.cache' 'python-munch'
+             'python2-munch')
+checkdepends=('python-stestr' 'python2-stestr' 'python-mock' 'python2-mock' 'python-requests-mock'
+              'python2-requests-mock' 'python-oslotest' 'python2-oslotest' 'python-jsonschema'
+              'python2-jsonschema')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/openstacksdk/archive/$pkgver.tar.gz")
+sha512sums=('2002883a98c36da2415424caae1805d9d36838a50345914b50e4c823cb14a760e51b5b22e3a6339c044d684e7ad1e9462a15567875de733094d7c3df086d659b')
+
+export PBR_VERSION=$pkgver
+
+prepare() {
+  echo -e "\nglobal-include *.json" >> openstacksdk-$pkgver/MANIFEST.in
+  cp -a openstacksdk-$pkgver{,-py2}
+  sed -i 's/assertItemsEqual/assertCountEqual/' openstacksdk-$pkgver/openstack/tests/unit/*.py openstacksdk-$pkgver/openstack/tests/unit/*/*.py
+}
+
+build() {
+  cd "$srcdir"/openstacksdk-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/openstacksdk-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  # From https://github.com/openstack/openstacksdk/blob/master/tox.ini
+  export OS_LOG_CAPTURE=true OS_STDOUT_CAPTURE=true OS_STDERR_CAPTURE=true
+
+  cd "$srcdir"/openstacksdk-$pkgver
+  stestr run || warning "Tests failed"
+
+  cd "$srcdir"/openstacksdk-$pkgver-py2
+  PYTHON=python2 stestr2 run || warning "Tests failed"
+}
+
+package_python-openstacksdk() {
+  depends=('python-six' 'python-pbr' 'python-jsonpatch' 'python-appdirs' 'python-keystoneauth1'
+           'python-os-service-types' 'python-deprecation' 'python-requestsexceptions'
+           'python-decorator' 'python-jmespath' 'python-iso8601' 'python-netifaces'
+           'python-dogpile.cache' 'python-munch')
+
+  cd "$srcdir"/openstacksdk-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-openstacksdk() {
+  depends=('python2-six' 'python2-pbr' 'python2-jsonpatch' 'python2-appdirs'
+           'python2-keystoneauth1' 'python2-os-service-types' 'python2-deprecation'
+           'python2-requestsexceptions' 'python2-decorator' 'python2-jmespath' 'python2-ipaddress'
+           'python2-futures' 'python2-iso8601' 'python2-netifaces' 'python2-dogpile.cache'
+           'python2-munch')
+
+  cd "$srcdir"/openstacksdk-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+
+  mv "$pkgdir"/usr/bin/openstack-inventory{,2}
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list